NamingContextEnumeration (Tomcat API Documentation)
Keywords: org.apache.naming.NamingContextEnumeration class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.naming
Class NamingContextEnumeration

    java.lang.Object
      org.apache.naming.NamingContextEnumeration

All Implemented Interfaces:
  java.util.Enumeration, javax.naming.NamingEnumeration

    public class NamingContextEnumeration

extends java.lang.Object
implements javax.naming.NamingEnumeration

Naming enumeration implementation.

Version:
  $Revision: 467222 $ $Date: 2006-10-24 05:17:11 +0200 (Tue, 24 Oct 2006) $
Author:
  Remy Maucherat

Field Summary
`protected java.util.Iterator` | `iterator` Underlying enumeration.

Constructor Summary
`NamingContextEnumeration(java.util.Iterator entries)`

Method Summary
`void` | `close()` Closes this enumeration.
`boolean` | `hasMore()` Determines whether there are any more elements in the enumeration.
`boolean` | `hasMoreElements()`
`java.lang.Object` | `next()` Retrieves the next element in the enumeration.
`java.lang.Object` | `nextElement()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### iterator

    protected java.util.Iterator iterator

  Underlying enumeration.

Constructor Detail

### NamingContextEnumeration

    public NamingContextEnumeration(java.util.Iterator entries)

Method Detail

### next

    public java.lang.Object next()
                          throws javax.naming.NamingException

  Retrieves the next element in the enumeration.

  Specified by:
    `next` in interface `javax.naming.NamingEnumeration`
  Throws:
    `javax.naming.NamingException`

### hasMore

    public boolean hasMore()
                    throws javax.naming.NamingException

  Determines whether there are any more elements in the enumeration.

  Specified by:
    `hasMore` in interface `javax.naming.NamingEnumeration`
  Throws:
    `javax.naming.NamingException`

### close

    public void close()
               throws javax.naming.NamingException

  Closes this enumeration.

  Specified by:
    `close` in interface `javax.naming.NamingEnumeration`
  Throws:
    `javax.naming.NamingException`

### hasMoreElements

    public boolean hasMoreElements()

  Specified by:
    `hasMoreElements` in interface `java.util.Enumeration`

### nextElement

    public java.lang.Object nextElement()

  Specified by:
    `nextElement` in interface `java.util.Enumeration`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.